%define version 1.10
%define release %mkrel 1

Summary:	Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Name:		workrave
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Accessibility
URL:		http://www.workrave.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://prdownloads.sourceforge.net/workrave/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libgnet2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxmu-devel
BuildRequires:  intltool
BuildRequires:	libtool
BuildRequires:	python-cheetah

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.


%prep
%setup -q
touch ChangeLog

%build
%configure2_5x \
	--enable-app-text=no	\
	--enable-distribution=yes \
	--enable-gconf=yes	\
	--enable-dbus=yes	\
	--disable-rpath		\
	--disable-xml \
	--disable-static
	
%make


%install
rm -rf %{buildroot}
%{makeinstall_std}

#
# icons
#
install -m0644 -D frontend/common/share/images/48x48/workrave.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/32x32/workrave.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/16x16/workrave.png %{buildroot}%{_miconsdir}/%{name}.png

#
# menu entry
#

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Workrave
Comment=Assists in recovery and prevention of Repetitive Strain Injury (RSI)
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-MoreApplications-Accessibility;
StartupNotify=true
EOF

#dont need this
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/libworkrave-private-1.0.so
rm -f %{buildroot}/%{_datadir}/gir-1.0/Workrave-1.0.gir

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/sounds/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/dbus-1/services/org.workrave.Workrave.service
%{_datadir}/icons/hicolor
%{_libdir}/girepository-1.0/Workrave-1.0.typelib
%{_libdir}/libworkrave-private-1.0.so.0
%{_libdir}/libworkrave-private-1.0.so.0.0.0
%{_datadir}/gnome-shell/extensions

%changelog
* Fri Jul 26 2013 Texstar <texstar at gmail.com> 1.10-1pclos2013
- 1.10

* Thu Sep 02 2010 Texstar <texstar at gmail.com> 1.9.2-1pclos2010
- 1.9.2

* Sat Jul 17 2010 Texstar <texstar at gmail.com> 1.9.1-1pclos2010
- 1.9.1

* Sat Oct 13 2007 Texstar <texstar@gmail.com> 1.8.5-1pclos2007
- 1.8.5

* Fri Mar 30 2007 Texstar <texstar@houston.rr.com> 1.8.4-1pclos2007
- import into pclos

